apiVersion: freeleaps.com/v1alpha1
kind: FreeleapsSecret
metadata:
  name: freeleaps-chat-alpha-secrets
  namespace: {{ .Release.Namespace }}
spec:
  secretStoreRef:
    kind: {{ .Values.chat.secrets.secretStoreRef.kind }}
    name: {{ .Values.chat.secrets.secretStoreRef.name }}
  target:
    name: {{ .Values.chat.secrets.target.name }}
    creationPolicy: {{ .Values.chat.secrets.target.creationPolicy }}
  refreshInterval: {{ .Values.chat.secrets.refreshInterval }}
  data:
{{- range .Values.chat.secrets.data }}
  - secretKey: {{ .key }}
    remoteRef:
      key: {{ .remoteRef.key }}
      type: {{ .remoteRef.type }}
{{- end }}